Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156066 - OpenOffice.org poorly named menu entires
Summary: OpenOffice.org poorly named menu entires
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156677
TreeView+ depends on / blocked
 
Reported: 2005-04-27 09:34 UTC by Mark McLoughlin
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 1.9.97-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-29 12:50:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 48256 None None None Never

Description Mark McLoughlin 2005-04-27 09:34:46 UTC
Current menu entries are:

  Office/OpenOffice.org 1.9 Base
  Office/OpenOffice.org 1.9 Calc
  Office/OpenOffice.org 1.9 Draw
  Office/OpenOffice.org 1.9 Impress
  Office/OpenOffice.org 1.9 Math
  Office/OpenOffice.org 1.9 Writer

We should at least get rid of the version number. Bryan and Seth will have other
suggestions, no doubt

Comment 1 Bryan W Clark 2005-04-28 17:30:22 UTC
(In reply to comment #0)
>   Office/OpenOffice.org 1.9 Base

Kill this one entry, there's no need for it.

> We should at least get rid of the version number. Bryan and Seth will have 
> other suggestions, no doubt

Yeah, drop the version number.  Otherwise I don't know if it's worth it to make
the names "nicer".

Comment 2 Caolan McNamara 2005-04-29 07:23:34 UTC
Why kill the database gui from the menu ?. It's trying to be a "msaccess" style
replacement ?

Comment 3 Caolan McNamara 2005-04-29 12:50:15 UTC
version no removed in 1.9.97-3. If the menu entry for the database GUI is
considered problematic, best open a new bug against ooo for it.

Comment 4 Bryan W Clark 2005-04-29 15:33:24 UTC
That's for the database? 

/me blinks

can we call it Database or will it be recognized more by it's Base name?

Comment 5 Caolan McNamara 2005-04-29 15:45:43 UTC
That's the brandname of the application, "base", same as "access" is the same
microsoft's database gui. we can change it in the menu entry of course a generic
name of "database" or whatever, but the documentation refers to it as "base" etc
etc.

Comment 6 Bryan W Clark 2005-04-29 17:49:26 UTC
Talked with Seth about this one, let's go with Database even though the
documentation says base. 

Comment 7 Seth Nickell 2005-04-29 18:02:52 UTC
We should really just rename all this stuff.

1) We should drop the "OpenOffice.org" word. This is effectively a "company
name", and as per GNOME HIG guidelines, should not be included in menu entries.
It doesn't assist people in making the "which thing to click" decision task, and
there'

Comment 8 Seth Nickell 2005-04-29 18:05:22 UTC
argh, comment was randomly closed (?!?)

2) We should consider rennaming the actual menu entries to be more descriptive.
e.g. "Word Processor" instead of "Write". "Spreadsheet" instead of "Calc". This
is also as per HIG, and is the preferred naming scheme for "default" things.
Alternatively, we *could* do "Calc Spreadsheet"... but I think this is sort of
sucky.

Comment 9 Seth Nickell 2005-04-29 18:27:18 UTC
OK, Bryan and I talked it through and came up with something like this for the
menu entry text:

"Word Processor"
"Spreadsheet"
"Presentation"
"Database Development"

I'm not so happy with "Presentation", but its at least better than "Impress".

Also, we probably sholudn't include Database in the default install (though it
should be an Optional item in the Office/Productivity installer category, so its
easy to turn on at first time install if you want it)

Comment 10 Caolan McNamara 2005-05-03 07:40:04 UTC
--> rh#156677#


Note You need to log in before you can comment on or make changes to this bug.